package com.example.zxweb.controller;

import com.alibaba.fastjson.JSONObject;
import com.example.zxweb.common.api.vo.Result;
import com.example.zxweb.common.constant.enums.IotApiEnum;
import com.example.zxweb.utils.AssertUtils;
import com.example.zxweb.utils.IotUtils;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/12 10:28
 */
@RestController
@RequestMapping("/gateway")
@Slf4j
@Api(tags = "网关设备管理")
public class GatewayController {
    /**
     * 获取网关策略列表
     * @param devid 网关设备id
     * @return 结果
     */
    @GetMapping(value = "/celueListQuery")
    public Result<?> celueListQuery(@RequestParam(value = "devid")String devid){
        AssertUtils.notEmpty(devid,"请输入-[devid]");
        String format = String.format("{\"serial\":\"%s\",\"productId\":\"\",\"methodName\":\"celueListQuery\",\"inputData\":{\"devid\":\"%s\"}}", devid,devid);
        JSONObject requestBody = JSONObject.parseObject(format);
        JSONObject responseBody = IotUtils.postApi(IotApiEnum.getPathByText("向设备发送方法"), requestBody);
        return Result.OK(responseBody);
    }
}
